function change(obj)
{
 var scrn=obj.src.substring(0,obj.src.indexOf("."));
 obj.src=obj.src.substring(0,obj.src.lastIndexOf("_"))+".jpg";
}
function recover(obj)
{
 var scrn=obj.src.substring(0,obj.src.indexOf("."));
 obj.src=scrn+"_0.jpg";
}

function Norecover(obj)
{
 var scrn=obj.src.substring(0,obj.src.indexOf("."));
 obj.src=obj.src.substring(0,obj.src.lastIndexOf("_"))+".gif";
}
function Nochange(obj)
{
 var scrn=obj.src.substring(0,obj.src.indexOf("."));
 obj.src=scrn+"_0.gif";
}
var arraylist=new Array(6);
function Login()
{
 if(document.getElementById("userId").value!="")
 {
 var obj=default_aspx.LogIn(document.getElementById("userId").value,hex_md5(document.getElementById("passWord").value));
 //alert(obj.value);
 if(obj.value=="-1")
 {
  alert("您的身份还未认证");
 }
 else if(obj.value==null)
 {
 alert("登录错误");
 }
 else
 {
 for(i=1;i<=6;i++)
 {
  var controlId="login"+i;
  arraylist[i]=document.getElementById(controlId).innerHTML;
 }
 var txt=obj.value.split(",");
 document.getElementById("login1").innerHTML="<font style=\"font-size: 10pt; filter: Alpha(Opacity=100, FinishOpacity=0, Style=2); color: blue\" >用户名</font>";
 document.getElementById("login2").innerHTML="<font style=\"font-size: 9pt; filter: Alpha(Opacity=100, FinishOpacity=0, Style=2); color: blue\" >"+txt[1]+"</font>";
 document.getElementById("login3").innerHTML="<a href=# onclick=\"logout();\" >注销</a>";
 document.getElementById("login4").innerHTML="当前积分";
 document.getElementById("login5").innerHTML="<font style=\"filter:glow(color=#3399FF,direction=2);color=\"#FF6699\"\">"+txt[2]+"</font>";
 document.getElementById("login6").innerHTML="<a href=# onclick=\"editinfo();\" >修改信息</a>";
 menuPower(txt[3]);
 }
 }
 else
 {
  alert("登陆信息不全");
 }
}
function logout()
{
 default_aspx.LogOut();
 if(typeof(arraylist[0])!= "undefined") 
 {
 for(i=1;i<=6;i++)
 {
  var controlId="login"+i;
  document.getElementById(controlId).innerHTML=arraylist[i].toString();
 }
 }
 else
 window.location.reload();
}
function boologin()
{
 var obj=default_aspx.BoologIn();
 if(obj.value!="-1")
 {
 var txt=obj.value.split(",");
 document.getElementById("login1").innerHTML="用户名";
 document.getElementById("login2").innerHTML="<font style=\"font-size: 11pt; filter: Alpha(Opacity=100, FinishOpacity=0, Style=2); color: blue\" >"+txt[1]+"</font>";
 document.getElementById("login3").innerHTML="<a href=# onclick=\"logout();\" >注销</a>";
 document.getElementById("login4").innerHTML="当前积分";
 document.getElementById("login5").innerHTML="<font style=\"filter:glow(color=#3399FF,direction=2);color=\"#FF6699\"\">"+txt[4]+"</font>";
 document.getElementById("login6").innerHTML="<a href=# onclick=\"editinfo();\" >修改信息</a>";
 menuPower(txt[5]);
 }
 else
 menuPower(0);
}
function editinfo()
{
 window.open("Customer/UserInfo.html",'_blank','height=250,width=400,top=0,left=0,toolbar=no,menubar=no,scrollbars=yes, resizable=no,location=no, status=no');

}
function menuPower(power)
{
 var tableobj=document.getElementById("grouppower");
 var url=window.location.href; 
 if(power==1)
 {
 tableobj.style.display="block";
 if(url.lastIndexOf("Customer")==-1)
 {
 tableobj.rows.item(0).cells.item(0).innerHTML="<a href=\"Customer/MenuMeal.aspx\" >菜单管理</a>";
 tableobj.rows.item(0).cells.item(2).innerHTML="<a href=\"Customer/MyOrder.aspx\" >我的订单</a>";
 }
 else
 {
 tableobj.rows.item(0).cells.item(0).innerHTML="<a href=\"MenuMeal.aspx\" >菜单管理</a>";
 tableobj.rows.item(0).cells.item(2).innerHTML="<a href=\"MyOrder.aspx\" >我的订单</a>";
 }
 }
 else if(power==2)
 {
 tableobj.style.display="block";
 if(url.lastIndexOf("Admin")==-1)
 {
 tableobj.rows.item(0).cells.item(0).innerHTML="<a href=\"Admin/MenuMange.aspx\" >菜单管理</a>";
 tableobj.rows.item(0).cells.item(1).innerHTML="<a href=\"Admin/NewMange.aspx\" >新闻管理</a>";
 tableobj.rows.item(0).cells.item(2).innerHTML="<a href=\"Admin/RenewCook.aspx\" >菜肴管理</a>";
 tableobj.rows.item(0).cells.item(3).innerHTML="<a href=\"Admin/VerifyUsers.aspx\" >用户管理</a>";
 }
 else
 {
 tableobj.rows.item(0).cells.item(0).innerHTML="<a href=\"MenuMange.aspx\" >菜单管理</a>";
 tableobj.rows.item(0).cells.item(1).innerHTML="<a href=\"NewMange.aspx\" >新闻管理</a>";
 tableobj.rows.item(0).cells.item(2).innerHTML="<a href=\"RenewCook.aspx\" >菜肴管理</a>";
 tableobj.rows.item(0).cells.item(3).innerHTML="<a href=\"VerifyUsers.aspx\" >用户管理</a>";
 }
 }
 else
  tableobj.style.display="none";
}